# Event::add

(PECL libevent >= 0.0.1)

Event::add — Makes event pending

### Description

public Event::add ([ float `$timeout` ] ) : bool

Marks event pending. Non-pending event will never occur, and the event callback will never be called. In conjuction with Event::del() an event could be re-scheduled by user at any time.

If Event::add() is called on an already pending event, libevent will leave it pending and re-schedule it with the given timeout(if specified). If in this case timeout is not specified, Event::add() has no effect.

### Parameters

`timeout`

  Timeout in seconds.

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`

### See Also

- Event::addSignal() - Makes signal event pending
- Event::addTimer() - Makes timer event pending
- Event::del() - Makes event non-pending